Name: likewise-open
Version: 4.1.2982
Release: alt2.1.qa1

Summary: Authentication services for Active Directory Domains
Group: System/Configuration/Networking
License: %lgpl2plus, %gpl3plus
Url: http://www.likewisesoftware.com

Packager: Alexey Rusakov <ktirf@altlinux.ru>

Source: likewise-open_%{version}.tar.gz

BuildPreReq: rpm-build-licenses

BuildRequires: libkrb5-devel libldap-devel libuuid-devel libpam-devel
BuildRequires: libxml2-devel libgtk+2-devel libglade-devel

%description
Likewise Open provides a means of integrating Unix desktops and servers into an Active Directory (AD) environment by providing a means for hosts to join the domain as member servers and make the Windows users and groups available to other Unix applications and services via the PAM and Name Service Switch libraries.

%package gui
Summary: GUI for Likewise Open Authentication service
License: %gpl2plus
Group: System/Configuration/Networking

%description gui
Likewise Open provides a means of integrating Unix desktops and servers into an Active Directory (AD) environment by providing a means for hosts to join the domain as member servers and make the Windows users and groups available to other Unix applications and services via the PAM and Name Service Switch libraries. This package contains GUI tools for Likewise Open.

%prep
%setup -q
%__subst '/AC_AIX/d;/AC_MINIX/d' samba/source/lib/replace/autoconf-2.60.m4

%build
export ac_cv_func_clock_gettime=no
export ac_cv_func_clock_settime=no
export ac_cv_lib_rt_clock_settime=no

./autogen.sh

# A temporary workaround for underlinked domainjoin
# export LDFLAGS="$LDFLAGS -lrt"

# Don't call top level Configure.sh so we have more control over file
# placement.
pushd centutils
%configure
popd
pushd domainjoin
%configure --with-gtk --with-libxml2-dir=%_prefix
popd
pushd samba/source
%configure \
  --with-fhs \
  --libdir=%_libdir/%name \
  --with-libdir=%_libdir/%name \
  --with-configdir=%_localstatedir/samba \
  --with-lockdir=%_localstatedir/%name \
  --with-logfilebase=%_logdir/%name \
  --with-piddir=%_var/run \
  --with-privatedir=%_localstatedir/samba \
  --enable-require-wrfile-keytab \
  --with-ads \
  --with-pam \
  --without-readline \
  --without-included-popt \
  --with-include-iniparser \
  --with-shared-modules=idmap_lwopen
popd

%make_build SCRIPTDIR=%_libexecdir

%install
%make_install DESTDIR=%buildroot install

mkdir -p \
    %buildroot{%_pam_modules_dir,%_datadir/%name,%_desktopdir,%_pixmapsdir}

echo %buildroot%_libdir/libwbclient
# Rename the libraries and create proper symlinks.
mv %buildroot%_libdir/%name/libwbclient.so{,.0.1}
ln -s libwbclient.so.0.1 %buildroot%_libdir/%name/libwbclient.so.0
ln -s libwbclient.so.0.1 %buildroot%_libdir/%name/libwbclient.so
(cd %buildroot%_libdir && ln -s {%name/,}libwbclient.so.0)

mv %buildroot%_libdir/{,%name/}libcentutils.so.1
(cd %buildroot%_libdir && ln -sf {%name/,}libcentutils.so.1)

mv %buildroot%_libdir/{,%name/}libgpglib.so.1
(cd %buildroot%_libdir && ln -sf {%name/,}libgpglib.so.1)

mv %buildroot%_bindir/{lwi-,}domainjoin-cli
mv %buildroot%_bindir/domainjoin{-gtk,-gui}

install -m644 domainjoin/domainjoin-gui/gtk/domainjoin-gtk.glade \
    %buildroot%_datadir/%name/domainjoin-gtk.glade
install -m644 domainjoin/domainjoin-gui/gtk/domainjoin-logo.png \
    %buildroot%_datadir/%name/domainjoin-logo.png
install -m644 domainjoin/domainjoin-gui/gtk/likewise-logo.png \
    %buildroot%_datadir/%name/likewise-logo.png

install --mode=755 samba/source/nsswitch/libnss_lwidentity.so \
    %buildroot/%_lib/libnss_lwidentity.so.2
ln -s /%_lib/libnss_lwidentity.so.2 %buildroot%_libdir/libnss_lwidentity.so

install --mode=644 samba/source/bin/pam_lwidentity.so \
    %buildroot%_pam_modules_dir/pam_lwidentity.so

install -D --mode=0644 domainjoin/scripts/Centeris.pm \
    %buildroot%_libdir/%name/Centeris.pm

for file in ConfigureLogin ConfigureShellPrompt gpcron; do \
	install --mode=0755 domainjoin/scripts/$file %buildroot%_libdir/%name; \
	done

install -D --mode=0644 packaging/debian/lwiauthd.conf %buildroot%_sysconfdir/samba/lwiauthd.conf
install -D --mode=0644 packaging/debian/pam_lwidentity.conf \
    %buildroot%_sysconfdir/security/pam_lwidentity.conf

#install -D -m 644  debian/%name.lintian %buildroot%_datadir/lintian/overrides/%name

install -D -m 644 packaging/debian/likewise-open-gui.desktop %buildroot%_desktopdir
install -D -m 644 packaging/debian/likewise-open-gui-kde.desktop %buildroot%_desktopdir
install -D -m 644 packaging/debian/likewise-gui.xpm %buildroot%_pixmapsdir

%add_findreq_skiplist %_libdir/%name/ConfigureLogin

%files
%_bindir/domainjoin-cli
%_bindir/lwinet
%_bindir/lwimsg
%_bindir/lwiinfo

%dir %_libdir/%name
%_libdir/%name/ConfigureLogin
%_libdir/%name/ConfigureShellPrompt
%_libdir/%name/gpcron
%_libdir/%name/Centeris.pm
%dir %_libdir/%name/idmap
%_libdir/%name/idmap/lwopen.so
%dir %_libdir/%name/nss_info
%_libdir/%name/nss_info/lwopen.so
%_pam_modules_dir/pam_lwidentity.so
%dir %_libdir/%name/security
%_libdir/%name/security/pam_lwidentity.so

%_sbindir/likewise-winbindd

/%_lib/libnss_lwidentity.so.*
%_libdir/%name/libwbclient.so.*
%_libdir/%name/libcentutils.so.*
%_libdir/%name/libgpglib.so.*
%_libdir/libwbclient.so.0
%_libdir/libcentutils.so.*
%_libdir/libgpglib.so.*

%_sysconfdir/samba/lwiauthd.conf
%_sysconfdir/security/pam_lwidentity.conf
#_datadir/pam-configs/%name
#_datadir/lintian/overrides/%name

%files gui
%_bindir/domainjoin-gui
%_datadir/%name/domainjoin-gtk.glade
%_datadir/%name/*.png
%_pixmapsdir/likewise-gui.xpm
%_desktopdir/likewise-open-gui.desktop
%_desktopdir/likewise-open-gui-kde.desktop

%changelog
* Sun Nov 08 2009 Repocop Q. A. Robot <repocop@altlinux.org> 4.1.2982-alt2.1.qa1
- NMU (by repocop): the following fixes applied:
  * pixmap-in-deprecated-location for likewise-open
  * postclean-05-filetriggers for spec file

* Thu Sep 24 2009 ALT QA Team Robot <ldv@altlinux.org> 4.1.2982-alt2.1
- Automated blind dumb rebuild with libldap-devel-2.4.16-alt4.4.

* Wed Feb 04 2009 Alexey Rusakov <ktirf@altlinux.org> 4.1.2982-alt2
- Fixed library symlinks creation.

* Thu Jan 29 2009 Alexey Rusakov <ktirf@altlinux.org> 4.1.2982-alt1
- Initial Sisyphus build, based on Debian/Ubuntu package (thanks to Gerald
  Carter and Ubuntu core developers team).

